--
function sabot_delay_control()
	local i = math.random(12150234)
	--print("sabot delay control:",i);
	if i <= 1000 then
		print("sabot delay decision:",1)
		yield()
	elseif i <= 187182 then
		print("sabot delay decision:",2)
		wait(2^2)
	elseif i <= 1651207 then
		print("sabot delay decision:",3)
		wait(3^2)
	elseif i <= 4802449 then
		print("sabot delay decision:",4)
		wait(4^2)
	elseif i <= 8137476 then
		print("sabot delay decision:",5)
		wait(5^2)
	elseif i <= 10390160 then
		print("sabot delay decision:",6)
		wait(6^2)
	elseif i <= 11506310 then
		print("sabot delay decision:",7)
		wait(7)
	elseif i <= 11947109 then
		print("sabot delay decision:",8)
		wait(8)
	elseif i <= 12093504 then
		print("sabot delay decision:",9)
		wait(9)
	elseif i <= 12135914 then
		print("sabot delay decision:",10)
		wait(10)
	elseif i <= 12146914 then
		print("sabot delay decision:",11)
		wait(11)
	elseif i <= 12149518 then
		print("sabot delay decision:",12)
		wait(12)
	elseif i <= 12150089 then
		print("sabot delay decision:",13)
		wait(13)
	elseif i <= 12150206 then
		print("sabot delay decision:",14)
		wait(14)
	elseif i <= 12150229 then
		print("sabot delay decision:",15)
		wait(15)
	elseif i <= 12150233 then
		print("sabot delay decision:",16)
		wait(16)
	elseif i <= 12150234 then
		print("sabot delay decision:",17)
		wait(17)
	end
end